Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ddf
Class EscherPropertyMetaData

    java.lang.Object
      org.apache.poi.ddf.EscherPropertyMetaData

    public class EscherPropertyMetaData

extends java.lang.Object

This class stores the type and description of an escher property.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static byte` | `TYPE_ARRAY`
`static byte` | `TYPE_BOOLEAN`
`static byte` | `TYPE_RGB`
`static byte` | `TYPE_SHAPEPATH`
`static byte` | `TYPE_SIMPLE`
`static byte` | `TYPE_UNKNOWN`

Constructor Summary
`EscherPropertyMetaData(java.lang.String description)`
`EscherPropertyMetaData(java.lang.String description, byte type)`

Method Summary
`java.lang.String` | `getDescription()`
`byte` | `getType()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_UNKNOWN

    public static final byte TYPE_UNKNOWN

See Also:
  Constant Field Values

### TYPE_BOOLEAN

    public static final byte TYPE_BOOLEAN

See Also:
  Constant Field Values

### TYPE_RGB

    public static final byte TYPE_RGB

See Also:
  Constant Field Values

### TYPE_SHAPEPATH

    public static final byte TYPE_SHAPEPATH

See Also:
  Constant Field Values

### TYPE_SIMPLE

    public static final byte TYPE_SIMPLE

See Also:
  Constant Field Values

### TYPE_ARRAY

    public static final byte TYPE_ARRAY

See Also:
  Constant Field Values

Constructor Detail

### EscherPropertyMetaData

    public EscherPropertyMetaData(java.lang.String description)

Parameters:
  `description` - The description of the escher property.

### EscherPropertyMetaData

    public EscherPropertyMetaData(java.lang.String description,
                                  byte type)

Parameters:
  `description` - The description of the escher property.
  `type` - The type of the property.

Method Detail

### getDescription

    public java.lang.String getDescription()

### getType

    public byte getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD